<?php
/*adding sections for footer social options */
$wp_customize->add_section( 'education-base-front-page-content', array(
    'priority'       => 20,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __( 'Front Page Content Options', 'education-base' ),
    'panel'          => 'education-base-design-panel'

) );

/*enable social*/
$wp_customize->add_setting( 'education_base_theme_options[education-base-hide-front-page-content]', array(
    'capability'		=> 'edit_theme_options',
    'default'			=> $defaults['education-base-hide-front-page-content'],
    'sanitize_callback' => 'education_base_sanitize_checkbox',
) );
$wp_customize->add_control( 'education_base_theme_options[education-base-hide-front-page-content]', array(
    'label'		 => __( 'Hide Front Page Content', 'education-base' ),
    'description'=> __( 'You may want to hide front page content( Static page content). Check this to hide them', 'education-base' ),
    'section'   => 'education-base-front-page-content',
    'settings'  => 'education_base_theme_options[education-base-hide-front-page-content]',
    'type'	  	=> 'checkbox',
    'priority'  => 10
) );